<html>
    <head>
<script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
<script type="text/javascript">

function getStat(){
    const CRYPTOKEY_STAT_URL = 'crypto-key-stat.php';

    fetch(CRYPTOKEY_STAT_URL)
    .then(response => response.json())
    .then(stats => {
        document.getElementById('count').innerHTML = "N. of records: " + stats.count;
        document.getElementById('best').innerHTML = "Best record: <b>" + stats.best.cryptokey + "</b> [likelihood = " + stats.best.likelihood + "]";

        document.getElementById('last5minute').innerHTML = stats.last5minute + " in last 5 minutes";
        document.getElementById('last30minute').innerHTML = stats.last30minute + " in last 30 minutes";
        document.getElementById('last1hour').innerHTML = stats.last1hour + " in last hour";
        document.getElementById('last5hour').innerHTML = stats.last5hour + " in last 5 hours";
    })
    .catch(err => {
        console.log('Statistic request failed', err);
    });

    setTimeout("getStat();", 5000);
}

function getBestLikelihood(){
    const CRYPTOKEY_BEST_LIKELIHOOD_URL = 'crypto-key.php?best=666';

    fetch(CRYPTOKEY_BEST_LIKELIHOOD_URL)
    .then(response => response.json())
    .then(best => {
        drawChart(best);
    })
    .catch(err => {
        console.log('Best request failed', err)
    });
}


google.charts.load('current', {'packages':['corechart']});

function drawChart(cryptokey_json) {
    var cryptokey_array = [];

    for(var ck in cryptokey_json)
        cryptokey_array.push([ck, parseInt(cryptokey_json[ck],10)]);

    cryptokey_array.sort();
    cryptokey_array.unshift(['cryptokey', 'likelihood']);
    var data = google.visualization.arrayToDataTable(cryptokey_array);

    var options = {
    title: 'Likelihood',
    hAxis: {title: 'cryptokey', minValue: "a", maxValue: "zzzzzzz"},
    vAxis: {title: 'likelihood', minValue: 0, maxValue: 200000},
    pointSize: 1,
    legend: 'none',
    height: 555
    };

    var chart = new google.visualization.ScatterChart(document.getElementById('chart_likelihood'));

    chart.draw(data, options);
}

</script>

</head>
<body onload="getBestLikelihood(); getStat();">
<div id = "count">
</div>
<div id = "best">
</div>
<div id = "last5minute">
</div>
<div id = "last30minute">
</div>
<div id = "last1hour">
</div>
<div id = "last5hour">
</div>
<div id="chart_likelihood"></div>
</body>
</html>
